Commit a0d79de6 authored by Philip Withnall's avatar Philip Withnall

Desensitise the "Link…" menu entry for untrusted Individuals

This prevents the linking dialogue from being opened for local-xmpp contacts,
who cannot be trusted.

This bumps Empathy's dependency on libfolks to 0.1.15. Helps: bgo#627930
parent b4a1d560
......@@ -31,7 +31,7 @@ AC_COPYRIGHT([
# Minimal version required
# Hardp deps
FOLKS_REQUIRED=0.1.13
FOLKS_REQUIRED=0.1.15
GCONF_REQUIRED=1.2.0
GLIB_REQUIRED=2.25.9
GNUTLS_REQUIRED=2.8.5
......
......@@ -832,6 +832,11 @@ empathy_individual_link_menu_item_new (FolksIndividual *individual)
gtk_image_menu_item_set_image (GTK_IMAGE_MENU_ITEM (item), image);
gtk_widget_show (image);*/
/* Only allow trusted Individuals to be linked */
gtk_widget_set_sensitive (item,
folks_individual_get_trust_level (individual) ==
FOLKS_TRUST_LEVEL_PERSONAS);
g_signal_connect_swapped (item, "activate",
G_CALLBACK (individual_link_menu_item_activate_cb), individual);
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment